curl --request GET \
--url https://api.nebius.cloud/dns/v1/zones/get-by-name \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/dns/v1/zones/get-by-name"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/dns/v1/zones/get-by-name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"domainName": "<string>",
"soaSpec": {
"negativeTtl": "<string>"
},
"vpc": {
"primaryNetworkId": "<string>"
}
},
"status": {
"reconciling": true,
"recordCount": "<string>"
}
}Get By Name
Gets the DNS zone by its parent IAM container (metadata.parent_id) and metadata.name
Authorizations
The Authorization header expects a Bearer token.
Response
A successful response.
API Resource: DNS zone, a container for DNS data.
Each DNS zone starts at a particular domain within the hierarchical DNS namespace tree,
e.g., example.com., and is also responsible for its subdomains (e.g., sales.example.com.)
unless there are explicit DNS zones defined for them.
DNS zones contain Resource Records (RRs), which are individual information entries about the domain(s),
e.g., a domain's IP address.
Each Resource Record is represented in this API by the Record API Resource which is managed by the RecordService.
See the graphical explanation of DNS zones and Resource Records on Wikipedia
Was this page helpful?